Subject: Re: [RFC NET 00/04]: Increase number of possible routing tables

From: Ben Greear <[email-masked]>
Date: Fri, 07 Jul 2006 22:06:29 -0700

Patrick McHardy wrote:
> Ben Greear wrote:
> 
>>With this patch applied everything is looking much better.  I currently
>>have 400+ interfaces and one routing table per interface, and traffic
>>is passing as expected.
>>
>>This is probably due to my own application polling interfaces for
>>stat updates...but I am seeing over 50% usage (with more system than
>>user-space)
>>in this setup on an otherwise lightly loaded system.  top shows no
>>process averaging
>>more than about 2% CPU (and only 2-3 are above 0.0 typically), which I find
>>a little strange.  load is around 3.0.
> 
> 
> I can't imagine this beeing related to the increased number of
> routing tables, with a number of entries slightly (not even two
> times) over the hash size it shouldn't make that much of a
> difference. It may of course be a bug, but I don't see it.

I think it was my polling logic that was the problem.  I fixed it up to
be more clever and the load went away.

Ben

> 
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com